import ConstructorOf from '@thats/utils/types/ConstructorOf'
import { IGrabbable } from '../grabber/Grabbable'

export interface IMovable extends IGrabbable {
	isMovable: boolean
}

export default function Movable<T extends IGrabbable>(
	Base: ConstructorOf<T>
): ConstructorOf<T & IMovable> {
	// eslint-disable-next-line @typescript-eslint/ban-ts-comment
	// @ts-ignore
	class MovableMixIn extends Base {
		isMovable: boolean
	}
	return MovableMixIn as unknown as ConstructorOf<T & IMovable>
}
