import XRParam from '../core/XRParam'
import ParamType from '../enums/ParamType'

export default class NumberParam extends XRParam<number> {
	defaults() {
		return {
			...super.defaults(),
			type: ParamType.NUMBER,
			defaultValue: 0,
			min: 0,
			max: 1,
			step: 0.1,
		}
	}

	min: number
	max: number
	step: number
}
