"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useXRSupported = void 0;
const react_1 = require("react");
function useXRSupported() {
    const [xrSupported, setXrSupported] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        var _a;
        (_a = navigator === null || navigator === void 0 ? void 0 : navigator['xr']) === null || _a === void 0 ? void 0 : _a.isSessionSupported('immersive-vr').then(setXrSupported);
    }, []);
    return xrSupported;
}
exports.useXRSupported = useXRSupported;
//# sourceMappingURL=useXRSupported.js.map