import { useEffect, useState } from 'react'

export function useXRSupported() {
	const [xrSupported, setXrSupported] = useState(false)

	useEffect(() => {
		navigator?.['xr']?.isSessionSupported('immersive-vr').then(setXrSupported)
	}, [])

	return xrSupported
}
