"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XRParam = void 0;
const ParamType_1 = __importDefault(require("../enums/ParamType"));
const XRClass_1 = __importDefault(require("./XRClass"));
class XRParam extends (0, XRClass_1.default)() {
    get value() {
        return this._value;
    }
    set value(v) {
        this._value = v;
    }
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { label: 'Unlabled', key: 'key', type: ParamType_1.default.NUMBER, defaultValue: 0 });
    }
    init() {
        super.init();
        this.value = this.defaultValue;
    }
}
exports.XRParam = XRParam;
exports.default = XRParam;
//# sourceMappingURL=XRParam.js.map