import { Texture, Vector2 } from 'three';
import Plane from '../objects/Plane';
export default class PlayerConsole extends Plane {
    canvas: HTMLCanvasElement;
    ctx: CanvasRenderingContext2D;
    fontSizePx: number;
    fontSizeWorld: number;
    paneSize: Vector2;
    textColor: number;
    message: string;
    texture: Texture;
    defaults(): any;
    init(): void;
    show(): void;
    hide(): void;
    logVector3(v: {
        x: number;
        y: number;
        z: number;
    }): void;
    log(message: string): void;
    clearScreen(): void;
}
