import loadScriptAsync from '@thats/utils/misc/loadScriptAsync'
import wasmSupported from '@thats/utils/misc/wasmSupported'

export default function loadAmmo(path: string, cb: () => void) {
	if (wasmSupported) loadScriptAsync(`${path}/ammo.wasm.js`, () => Ammo().then(cb))
	else loadScriptAsync(`${path}/ammo.js`, () => Ammo().then(cb))
}
