import Button from '@thatweb/core-mui/components/Button'
import ButtonParam from '../../params/ButtonParam'

import React from 'react'
interface ButtonParamBoxProps {
	param: ButtonParam
	onChange: (v: any) => void
}

export function ButtonParamBox({ param, onChange }: ButtonParamBoxProps) {
	return (
		<Button variant="contained" color="secondary" children={param.label} onClick={onChange} />
	)
}
export default ButtonParamBox
